Subject: bug#4717: 23.1.50; C-M-h in bibtex mode

From: "Roland Winkler" <[email-masked]>
Date: Sun, 18 Oct 2009 12:09:17 -0500

On Thu Oct 15 2009 Chong Yidong wrote:
> Could you take a look at this bug?  There seems to be no good reason for
> bibtex to behave differently than the rest of Emacs.  What bibtex-mode
> probably needs to do is to bind beginning/end-of-defun-function to
> bibtex-beginning/end-of-entry.  Then you can remove bibtex-mark-entry
> (or rather make it an obsolete alias for mark-defun).

Kind of related question:

mark-defun does not put point where beginning-of-defun puts it. But
if there is an empty line preceding the beginning-of-defun location,
mark-defun will put point there. Why? The docstring of mark-defun
does not explain this behavior. Also, the optional arg of mark-defun
should be explained, too.

Thanks,

Roland